org.apache.pdfbox.pdmodel

## Class DefaultResourceCacheCreateImpl

- java.lang.Object
- - org.apache.pdfbox.pdmodel.DefaultResourceCacheCreateImpl

All Implemented Interfaces:
  ResourceCacheCreateFunction

    public class DefaultResourceCacheCreateImpl
    extends Object
    implements ResourceCacheCreateFunction

Implementation of the functional interface ResourceCacheCreateFunction to create an instance of a DefaultResourceCache.

### Constructor Summary

Constructors
Constructor and Description
`DefaultResourceCacheCreateImpl()` Default constructor.
`DefaultResourceCacheCreateImpl(boolean enableStableCache)` Constructor providing a parameter to enable/disable the stable object cache.

### Method Summary

All Methods Instance Methods Concrete Methods
`ResourceCache` `create()` Creates an instance of a ResourceCache.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultResourceCacheCreateImpl

    public DefaultResourceCacheCreateImpl()

Default constructor.

#### DefaultResourceCacheCreateImpl

    public DefaultResourceCacheCreateImpl(boolean enableStableCache)

Constructor providing a parameter to enable/disable the stable object cache.

Parameters:
  `enableStableCache` - enables/disables the stable object cache

### Method Detail

#### create

    public ResourceCache create()

Description copied from interface: `ResourceCacheCreateFunction`
Creates an instance of a ResourceCache.

Specified by:
  `create` in interface `ResourceCacheCreateFunction`
Returns:
  the resource cache.